//package poo;
/**
 * clase que extiende e implementa de Persona   .
 * @param obj El objeto que se desea buscar en el arreglo de objetos A.
 */

public class Estudiante extends Persona implements Comparable{

	//private Estudiante() {}
	/**
	 *  Metodo que obtiene un promedio y un nombre de un estudiante.
	 */
	public Estudiante(String nombre, int promedioPonderado) {
		super(nombre);
		pp= promedioPonderado;
	}

	/**Metodo que obtiene el promedio ponderado.
	 * 
	 * @return pp promedio ponderado correspondiente al estudiante.
	 */
	public int getNumRand() {
		return pp;
	}

	/**
	 * Metodo que implementa Comparable
	 */
	public int compareTo(Object o)throws ClassCastException {
		if (this.pp == ((Estudiante) o).pp)
			return 0;
		else if ((this.pp) > ((Estudiante) o).pp)
			return 1;
		else
			return -1;
	}



	public String toString(){
		return   super.getName();
	}
	
	private int pp;
}
